<ul class="nav nav-tabs">
  <button type="button" class="close" data-dismiss="modal" (click)="dialogRef.close()">
    &times;
  </button>
  <a class="nav-link active">{{heading}}</a>
</ul>
<ul class="list-group">
  <li *ngIf="transaction_data.afsReply" class="list-group-item" data-toggle="collapse" data-target="#demo">afsReply<span
      class="right"><i aria-hidden="true" class="fa fa-chevron-circle-down"></i></span>
    <div id="demo" class="collapse">
      <table aria-describedby="Manage Company" class="table table-bordered">
        <tr *ngIf="transaction_data.afsReply.afsFactorCode">
          <th scope="col">afsFactorCode </th>
          <td>{{transaction_data.afsReply.afsFactorCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.afsResult">
          <th scope="col">afsResult</th>
          <td>{{transaction_data.afsReply.afsResult}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.consumerLocalTime">
          <th scope="col">consumerLocalTime</th>
          <td>{{transaction_data.afsReply.consumerLocalTime}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.hostSeverity">
          <th scope="col">hostSeverity</th>
          <td>{{transaction_data.afsReply.hostSeverity}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.internetInfoCode">
          <th scope="col">internetInfoCode</th>
          <td>{{transaction_data.afsReply.internetInfoCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.reasonCode">
          <th scope="col">reasonCode</th>
          <td>{{transaction_data.afsReply.reasonCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.scoreModelUsed">
          <th scope="col">scoreModelUsed</th>
          <td>{{transaction_data.afsReply.scoreModelUsed}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.suspiciousInfoCode">
          <th scope="col">suspiciousInfoCode</th>
          <td>{{transaction_data.afsReply.suspiciousInfoCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.afsReply.velocityInfoCode">
          <th scope="col">velocityInfoCode</th>
          <td>{{transaction_data.afsReply.velocityInfoCode}}</td>
        </tr>
      </table>
    </div>
  </li>

  <li *ngIf="transaction_data.ccAuthReply" class="list-group-item" data-toggle="collapse" data-target="#demo2">
    ccAuthReply<span class="right"><i aria-hidden="true" class="fa fa-chevron-circle-down"></i></span>
    <div id="demo2" class="collapse">
      <table aria-describedby="Manage Company" class="table table-bordered">
        <tr *ngIf="transaction_data.ccAuthReply.amount">
          <th scope="col">amount</th>
          <td>{{transaction_data.ccAuthReply.amount}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.authorizationCode">
          <th scope="col">authorizationCode</th>
          <td>{{transaction_data.ccAuthReply.authorizationCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.authorizedDateTime">
          <th scope="col">authorizedDateTime</th>
          <td>{{transaction_data.ccAuthReply.authorizedDateTime}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.avsCode">
          <th scope="col">avsCode</th>
          <td>{{transaction_data.ccAuthReply.avsCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.avsCodeRaw">
          <th scope="col">avsCodeRaw</th>
          <td>{{transaction_data.ccAuthReply.avsCodeRaw}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.cavvResponseCode">
          <th scope="col">cavvResponseCode</th>
          <td>{{transaction_data.ccAuthReply.cavvResponseCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.cavvResponseCodeRaw">
          <th scope="col">cavvResponseCodeRaw</th>
          <td>{{transaction_data.ccAuthReply.cavvResponseCodeRaw}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.merchantAdviceCode">
          <th scope="col">merchantAdviceCode</th>
          <td>{{transaction_data.ccAuthReply.merchantAdviceCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.merchantAdviceCodeRaw">
          <th scope="col">merchantAdviceCodeRaw</th>
          <td>{{transaction_data.ccAuthReply.merchantAdviceCodeRaw}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.cardCategory">
          <th scope="col">cardCategory</th>
          <td>{{transaction_data.ccAuthReply.cardCategory}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.cardGroup">
          <th scope="col">cardGroup</th>
          <td>{{transaction_data.ccAuthReply.cardGroup}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.paymentNetworkTransactionID">
          <th scope="col">paymentNetworkTransactionID</th>
          <td>{{transaction_data.ccAuthReply.paymentNetworkTransactionID}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.processorResponse">
          <th scope="col">processorResponse</th>
          <td>{{transaction_data.ccAuthReply.processorResponse}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.reasonCode">
          <th scope="col">reasonCode</th>
          <td>{{transaction_data.ccAuthReply.reasonCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccAuthReply.reconciliationID">
          <th scope="col">reconciliationID</th>
          <td>{{transaction_data.ccAuthReply.reconciliationID}}</td>
        </tr>
      </table>
    </div>
  </li>

  <li *ngIf="transaction_data.ccCaptureReply" class="list-group-item" data-toggle="collapse" data-target="#demo3">
    ccCaptureReply<span class="right"><i aria-hidden="true" class="fa fa-chevron-circle-down"></i></span>
    <div id="demo3" class="collapse">
      <table aria-describedby="Manage Company" class="table table-bordered">
        <tr *ngIf="transaction_data.ccCaptureReply.amount">
          <th scope="col">amount </th>
          <td>{{transaction_data.ccCaptureReply.amount}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccCaptureReply.reasonCode">
          <th scope="col">reasonCode</th>
          <td>{{transaction_data.ccCaptureReply.reasonCode}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccCaptureReply.reconciliationID">
          <th scope="col">reconciliationID</th>
          <td>{{transaction_data.ccCaptureReply.reconciliationID}}</td>
        </tr>
        <tr *ngIf="transaction_data.ccCaptureReply.requestDateTime">
          <th scope="col">requestDateTime</th>
          <td>{{transaction_data.ccCaptureReply.requestDateTime}}</td>
        </tr>
      </table>
    </div>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.decision">
    <td class="w">decision</td>
    <td>{{transaction_data.decision}}</td>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.decisionReply">
    <td class="w">decisionReply</td>
    <td>velocityInfoCode : {{transaction_data.decisionReply.velocityInfoCode}}</td>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.merchantReferenceCode">
    <td class="w">merchantReferenceCode</td>
    <td>{{transaction_data.merchantReferenceCode}}</td>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.purchaseTotals && transaction_data.purchaseTotals.currency">
    <td class="w">purchaseTotals</td>
    <td>currency : {{transaction_data.purchaseTotals.currency}}</td>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.reasonCode">
    <td class="w">reasonCode</td>
    <td>{{transaction_data.reasonCode}} {{reasonCodes[transaction_data.reasonCode]}}</td>
  </li>
  <li class="list-group-item" *ngIf="transaction_data.requestID">
    <td class="w">requestID</td>
    <td>{{transaction_data.requestID}}</td>
  </li>
  <li class="list-group-item table-responsive" *ngIf="transaction_data.requestToken">
    <td class="w">requestToken</td>
    <td>{{transaction_data.requestToken}}</td>
  </li>
</ul>